#ifndef BOCON_H
#define BOCON_H

#include "siftop.h"
#include "tablefunct.h"
#include "parser.h"
#include "galias.h"
#include "aliast.h"
#include <stdio.h>

class bocon
{
  public :
   bocon();
   ~bocon();
   long read(FILE *in, long lc);

   long         ndir;
   long        *dir;
   generalfunct   *tf;  /// type of time function
   long        *neq; /// number function sets (for 'par' or 'par_set' value of tf)
   double      *f;   /// constant value
   Equation  ***eq;  /// time funtion or set of time funcions
   double     **lv;  /// array with limit values for function set
   char      ***ft;  /// text of time funtion or set of time funcions
   tablefunct **tabf;/// time funtion given by table
   double      *iv;  /// initial values of conditions
};

#endif
