#ifndef DBMAT_H
#define DBMAT_H

#include <stdio.h>
#include "../SRC/aliast.h"

class matr
{
  public :
   mattypet type;
   long nprop;   // number of indeces
   char **prop;  // array of strings with material properties (material indeces)
   long *propu;  // array indicators of indeces which are used
   long *ridx;   // array with renumbered used indeces
   long npropu;  // counter used indeces this material type
   matr(void);
   ~matr(void);
   long read(FILE *in);
};

class dbmat
{
  public :
   long numt;    // number of material entries
   matr *mat;    // array with materials
   dbmat(void);
   ~dbmat(void);
   long search_mat(mattypet ce, long ci);
   // searching material with given type and index
};

#endif
